using System;
using System.Collections.Generic;
using System.Text;

namespace BankLib
{
    public enum ERRORSTATUS { OK, INSUFFICIENT }
    public class BankAccount
    {
        string name;
        double balance;
        public BankAccount(string n, double init)
        {
            name = n;
            balance = init;
        }
        public double GetBalance()
        {
            return balance;
        }
        public string GetName()
        {
            return name;
        }
        public void Deposit(double amount)
        {
            balance += amount;
        }
        public ERRORSTATUS Withdraw( double amount )
        {
            if (balance < amount)
                return ERRORSTATUS.INSUFFICIENT;
            balance -= amount;
            return ERRORSTATUS.OK;
        }
    }
    public class BankAccountList
    {
        BankAccount[] list = new BankAccount[10];
        int numAccounts = 0;
        public void addAccount(BankAccount b)
        {
            list[numAccounts++] = b;
        }
        public BankAccount findAccount(string target)
        {
            for (int i = 0; i < numAccounts; i++)
            {
                if (list[i].GetName() == target)
                    return list[i];
            }
            return null;
        }
    }
}
