using System;
using System.Collections.Generic;
using System.Text;
using BankLib;

namespace Teller
{
    class Program
    {
        static void Main(string[] args)
        {
            BankAccountList bl = new BankAccountList();
            string name;
            double amt;
            char c = Prompt();
            while (c != 'e')
            {
                switch (c)
                {
                    case 'a': case 'A':
                        Console.Write("Name:");
                        name = Console.ReadLine();
                        Console.Write("Initial balance:");
                        amt = double.Parse(Console.ReadLine());
                        BankAccount b = new BankAccount(name, amt);
                        bl.addAccount(b);
                        Console.WriteLine("Account created for {0} with balance {1:F2}", name, amt);
                        break;
                    case 'w': case 'W':
                        Console.Write("Name:");
                        name = Console.ReadLine();
                        Console.Write("Withdraw amount:");
                        amt = double.Parse(Console.ReadLine());
                        b = bl.findAccount(name);
                        ERRORSTATUS err = b.Withdraw(amt);
                        if (err == ERRORSTATUS.OK)
                        {
                            Console.WriteLine("{0} withdrawn from account of {1}", amt, name);
                            Console.WriteLine("Balance is now {0:F2}", b.GetBalance());
                        }
                        else
                        {
                            Console.WriteLine("Insufficient balance to make this withdrawal");
                        }
                        break;
                    case 'd': case 'D':
                        Console.Write("Name:");
                        name = Console.ReadLine();
                        Console.Write("Deposit amount:");
                        amt = double.Parse(Console.ReadLine());
                        b = bl.findAccount(name);
                        b.Deposit(amt);
                        Console.WriteLine("{0} deposited to account of {1}", amt, name);
                        Console.WriteLine("Balance is now {0:F2}", b.GetBalance());
                        break;
                }
                c = Prompt();
            }

        }
        static char Prompt()
        {
            Console.Write("Select a transaction type (add/withdraw/deposit/exit) ");
            string temp = Console.ReadLine();
            return temp[0];
        }
    }
}
